#include <mbed.h>

#define ON              0
#define OFF             1
#define MAX6675_ERROR   1
#define MAX6675_OK      0

class Thermo {
 public:
    Thermo(SPI* dev, PinName p);
    virtual ~Thermo();
    
    char readTemp(float* temp);
    void readRaw(uint16_t* data);
 
 private:
    SPI *device;
    DigitalOut *cs;
};